OpenShot Audio Library | OpenShotAudio: juce::AudioPlayHead::FrameRate Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::AudioPlayHead::FrameRate Class Reference

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
| FrameRate ()=default
| FrameRate (FrameRateType type)
FrameRateType | getType () const
int | getBaseRate () const
bool | isDrop () const
bool | isPullDown () const
double | getEffectiveRate () const
FrameRate | withBaseRate (int x) const
FrameRate | withDrop (bool x=true) const
FrameRate | withPullDown (bool x=true) const
bool | operator== (const FrameRate &other) const
bool | operator!= (const FrameRate &other) const

## Detailed Description

More descriptive frame rate type.

Definition at line 64 of file juce_AudioPlayHead.h.

## Constructor & Destructor Documentation

## ◆ FrameRate() [1/2]

juce::AudioPlayHead::FrameRate::FrameRate | ( |  | ) |
| default

Creates a frame rate with a base rate of 0.

Referenced by FrameRate(), operator!=(), operator==(), withBaseRate(), withDrop(), and withPullDown().

## ◆ FrameRate() [2/2]

juce::AudioPlayHead::FrameRate::FrameRate | ( | FrameRateType | type | ) |
| inline

Creates a FrameRate instance from a FrameRateType.

Definition at line 71 of file juce_AudioPlayHead.h.

## Member Function Documentation

## ◆ getBaseRate()

int juce::AudioPlayHead::FrameRate::getBaseRate | ( |  | ) | const
| inline

Returns the plain rate, without taking pulldown into account.

Definition at line 93 of file juce_AudioPlayHead.h.

## ◆ getEffectiveRate()

double juce::AudioPlayHead::FrameRate::getEffectiveRate | ( |  | ) | const
| inline

Returns the actual rate described by this object, taking pulldown into account.

Definition at line 102 of file juce_AudioPlayHead.h.

## ◆ getType()

FrameRateType juce::AudioPlayHead::FrameRate::getType | ( |  | ) | const
| inline

Gets the FrameRateType that matches the state of this FrameRate.

Returns fpsUnknown if this FrameRate cannot be represented by any of the other enum fields.

Definition at line 78 of file juce_AudioPlayHead.h.

## ◆ isDrop()

bool juce::AudioPlayHead::FrameRate::isDrop | ( |  | ) | const
| inline

Returns true if drop-frame timecode is in use.

Definition at line 96 of file juce_AudioPlayHead.h.

## ◆ isPullDown()

bool juce::AudioPlayHead::FrameRate::isPullDown | ( |  | ) | const
| inline

Returns true if the effective framerate is actually equal to the base rate divided by 1.001

Definition at line 99 of file juce_AudioPlayHead.h.

## ◆ operator!=()

bool juce::AudioPlayHead::FrameRate::operator!= | ( | const FrameRate & | other | ) | const
| inline

Returns true if this instance is not equal to other.

Definition at line 121 of file juce_AudioPlayHead.h.

## ◆ operator==()

bool juce::AudioPlayHead::FrameRate::operator== | ( | const FrameRate & | other | ) | const
| inline

Returns true if this instance is equal to other.

Definition at line 114 of file juce_AudioPlayHead.h.

## ◆ withBaseRate()

FrameRate juce::AudioPlayHead::FrameRate::withBaseRate | ( | int | x | ) | const
| inlinenodiscard

Returns a copy of this object with the specified base rate.

Definition at line 105 of file juce_AudioPlayHead.h.

## ◆ withDrop()

FrameRate juce::AudioPlayHead::FrameRate::withDrop | ( | bool | x = true | ) | const
| inlinenodiscard

Returns a copy of this object with drop frames enabled or disabled, as specified.

Definition at line 108 of file juce_AudioPlayHead.h.

## ◆ withPullDown()

FrameRate juce::AudioPlayHead::FrameRate::withPullDown | ( | bool | x = true | ) | const
| inlinenodiscard

Returns a copy of this object with pulldown enabled or disabled, as specified.

Definition at line 111 of file juce_AudioPlayHead.h.

The documentation for this class was generated from the following file:

- juce_AudioPlayHead.h